Ruby: ext/zlib/zlib-1.2.13/contrib/minizip/miniunz.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions
miniunz.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <errno.h>`
`#include <fcntl.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <utime.h>`
`#include "unzip.h"`

Go to the source code of this file.

## Macros
#define | __USE_FILE_OFFSET64
#define | __USE_LARGEFILE64
#define | _LARGEFILE64_SOURCE
#define | _FILE_OFFSET_BIT 64
#define | FOPEN_FUNC(filename, mode) fopen64(filename, mode)
#define | FTELLO_FUNC(stream) ftello64(stream)
#define | FSEEKO_FUNC(stream, offset, origin) fseeko64(stream, offset, origin)
#define | CASESENSITIVITY (0)
#define | WRITEBUFFERSIZE (8192)
#define | MAXFILENAME (256)

## Functions
int | main (int argc, argv)

## Macro Definition Documentation

## ◆ __USE_FILE_OFFSET64

#define __USE_FILE_OFFSET64

Definition at line 17 of file miniunz.c.

## ◆ __USE_LARGEFILE64

#define __USE_LARGEFILE64

Definition at line 20 of file miniunz.c.

## ◆ _FILE_OFFSET_BIT

#define _FILE_OFFSET_BIT 64

Definition at line 26 of file miniunz.c.

## ◆ _LARGEFILE64_SOURCE

#define _LARGEFILE64_SOURCE

Definition at line 23 of file miniunz.c.

## ◆ CASESENSITIVITY

#define CASESENSITIVITY (0)

Definition at line 61 of file miniunz.c.

## ◆ FOPEN_FUNC

#define FOPEN_FUNC | ( |  | filename,
|  |  | mode
| ) |  | fopen64(filename, mode)

Definition at line 36 of file miniunz.c.

## ◆ FSEEKO_FUNC

#define FSEEKO_FUNC | ( |  | stream,
|  |  | offset,
|  |  | origin
| ) |  | fseeko64(stream, offset, origin)

Definition at line 38 of file miniunz.c.

## ◆ FTELLO_FUNC

#define FTELLO_FUNC | ( |  | stream | ) | ftello64(stream)

Definition at line 37 of file miniunz.c.

## ◆ MAXFILENAME

#define MAXFILENAME (256)

Definition at line 63 of file miniunz.c.

## ◆ WRITEBUFFERSIZE

#define WRITEBUFFERSIZE (8192)

Definition at line 62 of file miniunz.c.

## Function Documentation

## ◆ main()

int main | ( | int argc | ,
|  | argv |
| ) |  |

Definition at line 533 of file miniunz.c.

References argc, argv, fill_win32_filefunc64A(), MAXFILENAME, NULL, unzClose(), unzOpen2_64(), and unzOpen64().